Solved

X11 Dependencies for GIMP and OOo on Mac OS X

Posted on 2006-07-13
3
638 Views
Last Modified: 2013-11-13
We need to install both GIMP and OOo which each require X11. Most of our machines worked nicely, but 3 have problems.

User 1 -  Mac Version is 10.2.8 When attempting to install Mac OS X-X11, a message of "a 10.3 version is needed" appears. Am I using the wrong version of X11 or is not at all available for 10.2.8?

User 2 -  Mac Version is 10.4.7 When attempting to install Mac OS X-X11, a message of "an existing X11 version" would appear. But when installing GIMP or OOo it says that X11 is required.

User 3 - Mac Version is 10.4.6 When attempting to install Mac OS X-X11, a message of "an existing X11 version" would appear. But when installing GIMP or OOo it says that X11 is required.
0
Comment
Question by:smetterd
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 2
3 Comments
 
LVL 24

Expert Comment

by:slyong
ID: 17103756
Hi,

Apple does not provide its own X11 installation for Mac OS X 10.2.8; it is included with (and available for) Mac OS X 10.3.x and newer only. For a variety of reasons, I **strongly** recommend upgrading to Mac OS X 10.3.x (or, at this point, Mac OS X 10.4 "Tiger" when it becomes available) unless you have some compelling reason to remain on 10.2.8.

However, if you want to keep 10.2.8 and run X, try either one:
http://sourceforge.net/projects/xonx/
http://oroborosx.sourceforge.net/

For 10.4.6 and 10.4.7, check in your Application->Utilities and see if X11.app is there.  If it is, run it, then install GIMP or OOo
0
 
LVL 2

Author Comment

by:smetterd
ID: 17104022
How much does it cost to go from 10.2.8 to 10.3.x?

And what about the 10.4.x machines I have which seem to be stuck between a rock and a hard place?
0
 
LVL 24

Accepted Solution

by:
slyong earned 500 total points
ID: 17104060
For 10.4.6 and 10.4.7, check in your Application->Utilities and see if X11.app is there.  If it is, run it, then install GIMP or OOo.

You can't get 10.3.x anymore, 10.4 is $129 per license.  Another option is to get them from ebay.  10.3 are selling for about $50 a piece (make sure you get the full retail version) http://search.ebay.com/search/search.dll?sofocus=bs&sbrftog=1&from=R10&catref=C6&satitle=os+x+10.3+full&sacat=-1%26catref%3DC6&bs=Search&fsop=1%26fsoo%3D1&coaction=compare&copagenum=1&coentrypage=search&fgtp=&sargn=-1%26saslc%3D2&sadis=200&fpos=ZIP%2FPostal&ftrt=1&ftrv=1&saprclo=&saprchi=
0

Featured Post

On Demand Webinar: Networking for the Cloud Era

Did you know SD-WANs can improve network connectivity? Check out this webinar to learn how an SD-WAN simplified, one-click tool can help you migrate and manage data in the cloud.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Worried about if Apple can protect your documents, photos, and everything else that gets stored in iCloud? Read on to find out what Apple really uses to make things secure.
Article by: Justin
In light of the WannaCry ransomware attack that affected millions of Windows machines, you might wonder if your Mac needs protecting. Yes, it does and here is how to do it.
This Micro Tutorial hows how you can integrate  Mac OSX to a Windows Active Directory Domain. Apple has made it easy to allow users to bind their macs to a windows domain with relative ease. The following video show how to bind OSX Mavericks to …
In this video we outline the Physical Segments view of NetCrunch network monitor. By following this brief how-to video, you will be able to learn how NetCrunch visualizes your network, how granular is the information collected, as well as where to f…

621 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question